## tangerine-icon-theme 0.27

=== Makefile ===
GETTEXT_DOMAIN=tangerine-icon-theme

build: index.theme

# intltool merging
index.theme:
	for f in `find -name *.icon.in -o -name *.theme.in`; do \
	    intltool-merge -d -u po $$f $${f%.in}; \
	done
	cd po; intltool-update -p --verbose -g $(GETTEXT_DOMAIN)

clean:
	find -name *.icon -exec rm '{}' \;
	rm -f po/*.pot index.theme

install: index.theme
	find [0-9]* scalable \( -name '*.png' -o -name '*.svg' -o -name '*.icon' \) -exec \
	    install -D -m 644 '{}' $$DESTDIR/usr/share/icons/Tangerine/'{}' \;

	# run icon-naming-utils
	for d in $$DESTDIR/usr/share/icons/Tangerine/*; do \
	    (cd $$d; for c in *; do /usr/lib/icon-naming-utils/icon-name-mapping -c $$c; done); \
	done

	# install mo files
	for f in po/*.po; do \
	    D=$$DESTDIR/usr/share/locale/`basename $$f .po`/LC_MESSAGES/; \
	    install -d -m 755 $$D; \
	    msgfmt -o $$D/$(GETTEXT_DOMAIN).mo $$f; \
	done

	# install index
	install -D -m 644 index.theme $$DESTDIR/usr/share/icons/Tangerine/index.theme

.PHONY: build i18n clean install

## tangerine-icon-theme 0.26

=== debian/changelog ===
tangerine-icon-theme (0.26) gutsy; urgency=low

  * Various missing bits added.
  * 'wallpaper' updates in icons involving a monitor.
  * New symbolic link icon.

 -- Lapo Calamandrei <calamandrei@gmail.com>  Tue, 18 Sep 2007 16:13:01 +0200

tangerine-icon-theme (0.25) gutsy; urgency=low

  * New release.
  * debian/rules, debian/control.in: updated to run ./autogen.sh on its own.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Thu, 06 Sep 2007 11:22:11 +0200

tangerine-icon-theme (0.24-0ubuntu1) gutsy; urgency=low

  * New release.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Wed, 29 Aug 2007 10:19:06 -0400

tangerine-icon-theme (0.23-0ubuntu1) gutsy; urgency=low

  * New release:
    - dropped Tango icon theme inheritance.
    - new drive-* icons.
    - added recolored bit of g-i-t.
    - added a recolored tango icon theme audio-x-generic.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Thu, 23 Aug 2007 11:28:46 +0200

tangerine-icon-theme (0.22-0ubuntu1) gutsy; urgency=low

  * index.theme.in, debian/control.in: drop Tango inheritance on Lapo's
    suggestion.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Mon, 20 Aug 2007 12:27:12 +0200

tangerine-icon-theme (0.21-0ubuntu3) gutsy; urgency=low

  * forgot configure.ac

 -- Kenneth Wimer <kwwii@ubuntu.com>  Thu, 26 Jul 2007 18:47:54 +0200

tangerine-icon-theme (0.21-0ubuntu2) feisty; urgency=low

  * editing makefiles and index.theme.in to reflect the removal of all gtk-*
    icons 

 -- Kenneth Wimer <kwwii@ubuntu.com>  Thu, 26 Jul 2007 18:45:43 +0200

tangerine-icon-theme (0.21-0ubuntu1) feisty; urgency=low

  * removing the gtk tango icons from tangerine as they are now in gnome
    upstream 

 -- Kenneth Wimer <kwwii@ubuntu.com>  Wed, 25 Jul 2007 23:38:17 +0200

tangerine-icon-theme (0.20-1ubuntu1) gutsy; urgency=low

  * debian/conrol.in: 
    - don't depend on sng,
    - change Maintainer field,
    - added XS-Vcs-Bzr Tag.
  * debian/rules: fixed clean target.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Wed, 04 Jul 2007 12:28:05 +0200

tangerine-icon-theme (0.20-1) unstable; urgency=low

  [ Alan Baghumian ]
  * Initial release, forked from Ubuntu (Closes: #420319).
  * Updated debian/control
     - Removed Ubuntu specific lines
     - GNOME team uploads
     - Changed maintainer
     - Added ${misc:Depends}, gnome-icon-theme and
       tango-icon-theme to deps
     - Added gnome-pkg-tools to build-deps
     - Removed hicolor-icon-theme from build-deps
     - Removed libgtk2.0-bin from deps, not needed
     - Bump debhelper dep to 5.0.0
     - Added Debian and Parsix specific svg and sng logos
     - Added libmagick9-dev and imagemagick build-deps
       required versions
     - Added librsvg2-dev, sng and lsb-release to
       build-deps
  * Added debian/watch and debian/control.in files
  * Updated debian/rules
     - Added simple-patchsys.mk and uploaders.mk
     - Added lsb_release distro detection method
     - Replaces Ubuntu logo with Debian or Parsix

  [ Loic Minier ]
  * Drop libgtk2.0-bin build-dep.

 -- Loic Minier <lool@dooz.org>  Mon, 07 May 2007 09:35:07 +0200

=== debian/control ===
Source: tangerine-icon-theme
Section: non-free/x11
Priority: optional
XSBC-Original-Maintainer: Alan Baghumian <alan@technotux.org>
Maintainer: Ubuntu Art Team <ubuntu-art@lists.ubuntu.com>
XS-Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-art-pkg/tangerine-icon-theme/ubuntu
Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Loic Minier <lool@dooz.org>
Build-Depends: debhelper (>= 5.0.0),
               cdbs,
               gnome-pkg-tools
Build-Depends-Indep: gettext,
                     libxml-parser-perl,
                     pkg-config (>= 0.19),
                     icon-naming-utils (>= 0.7.1),
                     libmagick9-dev (>= 5.5.7),
                     imagemagick (>= 5.5.7),
                     autotools-dev,
                     librsvg2-dev (>= 2.12.3),
                     lsb-release,
                     autoconf, automake, intltool
Standards-Version: 3.7.2

Package: tangerine-icon-theme
Architecture: all
Section: non-free/x11
Depends: gnome-icon-theme,
         ${misc:Depends}
Description: Tangerine Icon theme
 Tangerine is an icon theme worked on by the Ubuntu Art Team. It's inspired
 by the Tango Icon Theme.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
include /usr/share/cdbs/1/rules/simple-patchsys.mk

DISTRO := $(shell lsb_release -si)

# Anyway, defaults to Debian
ifeq ($(DISTRO),)
DISTRO := Debian
endif

clean::
	@echo "=== Building for distribution: $(DISTRO) ==="
	if [ -d debian/$(DISTRO) ]; then \
            find debian/$(DISTRO) -name '*.png' | xargs rm -fv; \
	fi

makebuilddir/tangerine-icon-theme::
	./autogen.sh --prefix=/usr


build:
	@echo "=== Installing distribution specific overrides ==="
	if [ -d debian/$(DISTRO) ]; then \
	    find debian/$(DISTRO) -name '*.sng' | xargs sng; \
	fi

ICON_DIR := debian/tangerine-icon-theme/usr/share/icons/Tangerine

binary-post-install/tangerine-icon-theme::
	# replace the Ubuntu logos with the distribution overrides
	if [ -d debian/$(DISTRO) ]; then \
	    cp -rvf debian/$(DISTRO)/* $(ICON_DIR)/; \
	fi
	# don't ship the sng files
	find $(ICON_DIR) -name '*.sng' | xargs rm -fv

=== debian/watch ===
version=3
http://archive.ubuntu.com/ubuntu/pool/main/t/tangerine-icon-theme/tangerine-icon-theme_([\d.]*)\.orig\.tar\.gz

## tangerine-icon-theme 0.27

=== debian/changelog ===
tangerine-icon-theme (0.27) karmic; urgency=low

  [ Dmitrijs Ledkovs ]
  * 01-scalable-icons.patch
    - Missing "/", fixes not all icons are installed (LP: #380474)
  * 02-inherit-oxygen.patch
    - Add oxygen theme to inherts list for KDE icons (LP: #152167)
  * debian/copyright:
    - change icon theme name from Human to Tangerine. (LP: #143995)

  [ Daniel Holbach ]
  * New release.
  * debian/control.in: 
    - bump Standards-Version, no changes.
    - bump debhelper version to >= 5.0.51~.
    - drop 'XS' from XS-Vcs-Bzr.
    - don't duplicate Section.
    - drop autoconf, autotools-dev and automake Build-Depends.
  * *Makefile.am, configure.ac, autogen.sh, Makefile: simplify build system a
    lot, based on Martin Pitt's great work with human-icon-theme.
    debian/patches/01-scalable-icons.patch is not necessary any more.
  * debian/patches/02-inherit-oxygen.patch: directly applied.
  * debian/clean-up.sh, debian/rules: clean-up.sh not necessary any more.
  * debian/rules: 
    - removed autogen stuff.
    - replaced gnome.mk with makefile.mk.
    - call dh_icons.
  * debian/copyright: replaced (C) with ©.
  * ChangeLog: removed, revision history in bzr.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@gmail.com>  Tue, 25 Aug 2009 19:02:46 +0000

tangerine-icon-theme (0.26.debian-3) unstable; urgency=high

  * Use "libmagickcore-dev | libmagick9-dev" as the imagemagick build-dep,
    i.e. unversionned as the experimental imagemagick provides libmagick9-dev
    and the versionned bdep would break there -- libmagickcore-dev is the new
    place where ImageMagick.pc is found, and this .pc file is only used by
    tangerine-icon-theme to check the version of imagemagick.

 -- Loic Minier <lool@dooz.org>  Wed, 03 Dec 2008 13:19:27 +0100

tangerine-icon-theme (0.26.debian-2) unstable; urgency=low

  * Fix some spacing.
  * Rename *.uuencode to *.uue.
  * Fix location of scalable start-here override for Debian.
  * Rewrite uue -> png conversion completely to not hardcode extension,
    location, directory names, to avoid a copy and to do the conversion in the
    post-install part.
  * Bump up Standards-Version to 3.8.0.
  * Drop changelog.ubuntu as the package was synced in Ubuntu.

 -- Loic Minier <lool@dooz.org>  Sun, 06 Jul 2008 19:27:19 +0200

tangerine-icon-theme (0.26.debian-1) unstable; urgency=low

  [ Alan Baghumian ]
  * New upstream release
  * Ported sng icon replacing method to uuencode/uudecode
    - Added uuencoded icons for Debian and Parsix
    - Added new 24x24 icons for Debian and Parsix
    - Removed sng icons
    - Dropped sng from build-deps
    - Updated debian/rules
  * Added a clean-up script to clean extra files before/after
    the build process
  * Added changelog.ubuntu
  * Added missing Debian 48x48 SVG icon
  * Updated copyright file to add debian tarball note

  [ Alan Baghumian ]
  * New upstream release
    - Does not depend on tango-icon-theme anymore
  * New upstream release:
    - dropped Tango icon theme inheritance.
    - new drive-* icons.
    - added recolored bit of g-i-t.
    - added a recolored tango icon theme audio-x-generic.
  * Added autoconf, automake, intltool to build-deps
  * Updated debian/rules to use the autogen.sh script
  * Updated watch file to seek *.tar.gz packages

  [ Loic Minier ]
  * Merge not uploaded changelog entries.
  * Cleanup whitespace in copyright.
  * Call $(SHELL) on clean-up.sh explicitely as the diff can't preserve
    executable permissions.
  * Build-depend on sharutils for uudecode.

 -- Alan Baghumian <alan@technotux.org>  Tue, 15 Jan 2008 11:56:20 +0330

=== debian/control ===
Source: tangerine-icon-theme
Section: non-free/x11
Priority: optional
Maintainer: Alan Baghumian <alan@technotux.org>
Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Loic Minier <lool@dooz.org>
Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-art-pkg/tangerine-icon-theme/ubuntu
Build-Depends: debhelper (>= 5.0.51~),
               cdbs,
               gnome-pkg-tools (>= 0.12.2)
Build-Depends-Indep: gettext,
                     libxml-parser-perl,
                     pkg-config (>= 0.19),
                     icon-naming-utils (>= 0.7.1),
                     libmagickcore-dev | libmagick9-dev,
                     imagemagick,
                     librsvg2-dev (>= 2.12.3),
                     lsb-release,
                     intltool,
                     sharutils
Standards-Version: 3.8.3

Package: tangerine-icon-theme
Architecture: all
Depends: gnome-icon-theme,
         ${misc:Depends}
Description: Tangerine Icon theme
 Tangerine is an icon theme worked on by the Ubuntu Art Team. It's inspired
 by the Tango Icon Theme.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
include /usr/share/cdbs/1/rules/simple-patchsys.mk
include /usr/share/gnome-pkg-tools/1/rules/ubuntu-get-source.mk

DEB_MAKE_INSTALL_TARGET=install DESTDIR=$(DEB_DESTDIR)

DISTRO := $(shell lsb_release -si)

# Anyway, defaults to Debian
ifeq ($(DISTRO),)
DISTRO := Debian
endif

ICON_DIR := debian/tangerine-icon-theme/usr/share/icons/Tangerine

binary-post-install/tangerine-icon-theme::
	# replace the Ubuntu logos with the distribution overrides
	@echo "=== Installing distribution specific overrides ==="
	if [ -d debian/$(DISTRO) ]; then \
	    cp -rvf debian/$(DISTRO)/* $(ICON_DIR)/; \
	    find $(ICON_DIR) -name '*.uue' | while read encoded; do \
	        decoded="`echo $$encoded | sed 's/\.uue$$//'`"; \
	        echo "Converting $$encoded to $$decoded"; \
	        uudecode -o "$$decoded" "$$encoded"; \
	        rm -vf "$$encoded"; \
	    done; \
	fi
	dh_icons

=== debian/watch ===
version=3
http://archive.ubuntu.com/ubuntu/pool/main/t/tangerine-icon-theme/tangerine-icon-theme_([\d.]*)\.tar\.gz

## tangerine-icon-theme 0.27ubuntu1

=== debian/changelog ===
tangerine-icon-theme (0.27ubuntu1) disco; urgency=medium

  * d/rules: Remove ubuntu-get-source.mk include to fix FTBFS.

 -- Logan Rosen <logan@ubuntu.com>  Mon, 21 Jan 2019 20:52:01 -0500

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,13 @@
+# This file is autogenerated. DO NOT EDIT!
+#
+# Modifications should be made to debian/control.in instead.
+# This file is regenerated automatically in the clean target.
 Source: tangerine-icon-theme
 Section: non-free/x11
 Priority: optional
-Maintainer: Alan Baghumian <alan@technotux.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Loic Minier <lool@dooz.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Alan Baghumian <alan@technotux.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-art-pkg/tangerine-icon-theme/ubuntu
 Build-Depends: debhelper (>= 5.0.51~),
                cdbs,

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,6 @@
 include /usr/share/cdbs/1/class/makefile.mk
 include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
 include /usr/share/cdbs/1/rules/simple-patchsys.mk
-include /usr/share/gnome-pkg-tools/1/rules/ubuntu-get-source.mk
 
 DEB_MAKE_INSTALL_TARGET=install DESTDIR=$(DEB_DESTDIR)
